<?php
if (!defined('DC_RC_PATH')) { return; }

$__autoload['imgWidthHeightAdder'] = dirname(__FILE__).'/inc/class.imgWidthHeightAdder.php';
$__autoload['iwahaMedia'] = dirname(__FILE__).'/inc/class.iwahaMedia.php';

$core->addBehavior('xmlrpcAfterNewPost',array('iwahaXmlRpcBehaviors','editPost'));
$core->addBehavior('xmlrpcAfterEditPost',array('iwahaXmlRpcBehaviors','editPost'));

class iwahaXmlRpcBehaviors {
  public static function editPost($x,$post_id,$cur,$content,$struct,$publish) {
		$x->core->blog->settings->addNamespace('iwaha');
		if (!$x->core->blog->settings->iwaha->iwaha_enabled) {
			return;
		}

		$post_excerpt_xhtml = $cur->post_excerpt_xhtml;
		$post_content_xhtml = $cur->post_content_xhtml;

		imgWidthHeightAdder::updatePostEntries(array(
			'excerpt_xhtml' => &$post_excerpt_xhtml,
			'content_xhtml' => &$post_content_xhtml
		));
		if ($post_excerpt_xhtml != $cur->post_excerpt_xhtml || $post_content_xhtml != $cur->post_content_xhtml) {
			$cur->post_excerpt_xhtml = $post_excerpt_xhtml;
			$cur->post_content_xhtml = $post_content_xhtml;
		}
  }
}
