<?php
class iwahaMedia extends dcMedia
{
	public function getMediaItems(&$post_imgs)
	{
		$paths = array_keys($post_imgs);

		foreach ($paths as $v) {
			// Extract the file name for the image
			$file_name = preg_replace('/^'.preg_quote($this->core->blog->settings->system->public_url,'/').'(\/?)/','',$v);

			// Find the file system path to the image
			$f = new fileItem($this->root.'/'.$file_name,$this->root,$this->root_url);

			if ($f->file != '') {
				// Query the image sizes
				$s = getimagesize($f->file);
				$post_imgs[$v]['w'] = $s[0];
				$post_imgs[$v]['h'] = $s[1];
			} else {
				$GLOBALS['core']->error->add(__("IWaHa couldn't find the image file and extract its dimensions for ") . $v);
			}
		}
	}
}
